Subject: Offline Message from Cieara: I put thru an order for a replacement charger ye
From: Zendesk Chat <[email-masked]>
To: [email-masked], [email-masked]
Date: Mon, 16 May 2022 23:27:45 -0000

From: Cieara <[email-masked]>
Phone: 3179087006
Location: Chicago, United States
URL: https://swagtron.com/
Department: SwagTron

I put thru an order for a replacement charger yesterday. It didn’t work the first 2 times I tried to order. Finally the 3rd went thru. I just received a message that my order was cancelled. Not sure if it was the one that went thru or one of the others. The order number is 555728. Thank you

----
Zopim
https://www.zopim.com